## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate below-store

Name:           rust-below-store
Version:        0.8.1
Release:        %autorelease
Summary:        Store crate for below

License:        Apache-2.0
URL:            https://crates.io/crates/below-store
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump nix from 0.25 to 0.26
# * enable no-vendor feature by default
# * add zstd as a dependency as well for no-vendor
Patch:          below-store-fix-metadata.diff

# below-model not available
ExcludeArch:    %{arm32} %{ix86}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Store crate for below.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-vendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-vendor-devel %{_description}

This package contains library source intended for building other packages which
use the "no-vendor" feature of the "%{crate}" crate.

%files       -n %{name}+no-vendor-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri May 17 2024 Michel Lind <salimma@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1 (rhbz#2272253)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.3-3
- Bump zstd from 0.11 to 0.12 and zstd-safe from 5 to 6

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 19 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-4
- Bump zstd from 0.10 to 0.11

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Bump zstd from 0.9 to 0.10

* Thu Feb 17 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0 (resolves: rhbz#2047964)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-2
- Bump zstd from 0.8 to 0.9

* Thu Nov 11 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1; Fixes: RHBZ#2022250

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0; Fixes: RHBZ#2016551

* Fri Jul 30 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0-2
- Skip broken tests

* Thu Jul 29 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0; Fixes: RHBZ#1983803

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 16 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.0-1
- Initial package

## END: Generated by rpmautospec
